Using
Returns the status of a re-index task. Tasks are domain-scoped: a task id of another domain answers 404 (tenant isolation).
applies to v0.5.1GET
/store-api/json/{domain}/reindex/{task_id}
const url = 'https://example.com/store-api/json/example/reindex/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/store-api/json/example/reindex/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domain
required
string
JSON domain
task_id
required
string
Re-index task id
Responses
Section titled “Responses”Current re-index status
Unknown task id for this domain
Media typetext/plain
string
JSON engine disabled
Media typetext/plain
string